NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Features::EditCrossSectionBuilder Class Reference

Represents a NXOpen::Features::EditCrossSection builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateEditCrossSectionBuilder
Default values. More...

Inheritance diagram for NXOpen::Features::EditCrossSectionBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

void ChangeSectionCurve ()
 Change the section curves. More...
 
void CreateSectionCurve ()
 Create the section curves. More...
 
void DeleteSectionSketch (NXOpen::Sketch *sectionSketch)
 Remove the curve sketch. More...
 
NXOpen::ScCollectorFace ()
 Returns the face collector. More...
 
NXOpen::GeometricUtilities::FaceChangeOverflowBehaviorFaceChangeOverflowBehavior ()
 Returns the face change overflow behavior. More...
 
void IncludeBlendFaces ()
 Include or exclude the blends. More...
 
bool IncludeBlends ()
 Returns the include blends setting. More...
 
void IncludeHoleFaces ()
 Include or exclude the holes. More...
 
bool IncludeHoles ()
 Returns the include holes setting. More...
 
NXOpen::SelectISurfacePlane ()
 Returns the select plane. More...
 
void RecreateSectionCurve ()
 Recreate the section curves. More...
 
void RemoveData ()
 Remove the section data. More...
 
NXOpen::SketchSectionSketch ()
 Returns the sketch which holds the section curves
Created in NX8.0.0. More...
 
void SetIncludeBlends (bool includeBlends)
 Sets the include blends setting. More...
 
void SetIncludeHoles (bool includeHoles)
 Sets the include holes setting. More...
 
void SetSectionSketch (NXOpen::Sketch *sectionSketch)
 Sets the sketch which holds the section curves
Created in NX8.0.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::EditCrossSection builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateEditCrossSectionBuilder
Default values.

Property Value

IncludeBlends

0

IncludeHoles

1


Created in NX8.0.0.

Member Function Documentation

void NXOpen::Features::EditCrossSectionBuilder::ChangeSectionCurve ( )

Change the section curves.


Created in NX8.0.0.

License requirements : None

void NXOpen::Features::EditCrossSectionBuilder::CreateSectionCurve ( )

Create the section curves.


Created in NX8.0.0.

License requirements : None

void NXOpen::Features::EditCrossSectionBuilder::DeleteSectionSketch ( NXOpen::Sketch sectionSketch)

Remove the curve sketch.


Created in NX9.0.0.

License requirements : None

Parameters
sectionSketchsectionsketch
NXOpen::ScCollector* NXOpen::Features::EditCrossSectionBuilder::Face ( )

Returns the face collector.

This holds all the input faces to intersect.


Created in NX8.0.0.

License requirements : None

NXOpen::GeometricUtilities::FaceChangeOverflowBehavior* NXOpen::Features::EditCrossSectionBuilder::FaceChangeOverflowBehavior ( )

Returns the face change overflow behavior.

Please refer NXOpen::GeometricUtilities::FaceChangeOverflowBehavior for details.
Created in NX8.0.0.

License requirements : None

void NXOpen::Features::EditCrossSectionBuilder::IncludeBlendFaces ( )

Include or exclude the blends.


Created in NX8.0.0.

License requirements : None

bool NXOpen::Features::EditCrossSectionBuilder::IncludeBlends ( )

Returns the include blends setting.

True indicates a blend face participates in the section and is represented by a section curve.


Created in NX8.0.0.

License requirements : None

void NXOpen::Features::EditCrossSectionBuilder::IncludeHoleFaces ( )

Include or exclude the holes.


Created in NX8.0.0.

License requirements : None

bool NXOpen::Features::EditCrossSectionBuilder::IncludeHoles ( )

Returns the include holes setting.

True indicates an interior boundary participates in the section and is represented in the section curve set.


Created in NX8.0.0.

License requirements : None

NXOpen::SelectISurface* NXOpen::Features::EditCrossSectionBuilder::Plane ( )

Returns the select plane.

This is the plane to intersect.


Created in NX8.0.0.

License requirements : None

void NXOpen::Features::EditCrossSectionBuilder::RecreateSectionCurve ( )

Recreate the section curves.


Created in NX8.0.0.

License requirements : None

void NXOpen::Features::EditCrossSectionBuilder::RemoveData ( )

Remove the section data.


Created in NX8.5.0.

License requirements : None

NXOpen::Sketch* NXOpen::Features::EditCrossSectionBuilder::SectionSketch ( )

Returns the sketch which holds the section curves
Created in NX8.0.0.



License requirements : None

void NXOpen::Features::EditCrossSectionBuilder::SetIncludeBlends ( bool  includeBlends)

Sets the include blends setting.

True indicates a blend face participates in the section and is represented by a section curve.


Created in NX8.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
includeBlendsincludeblends
void NXOpen::Features::EditCrossSectionBuilder::SetIncludeHoles ( bool  includeHoles)

Sets the include holes setting.

True indicates an interior boundary participates in the section and is represented in the section curve set.


Created in NX8.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
includeHolesincludeholes
void NXOpen::Features::EditCrossSectionBuilder::SetSectionSketch ( NXOpen::Sketch sectionSketch)

Sets the sketch which holds the section curves
Created in NX8.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
sectionSketchsectionsketch

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.